CREATE PROCEDURE [dbo].[GetEmptyJobCardHeader](@DOCKCD VARCHAR(MAX), @DATEFROM VARCHAR(15), @DATETO VARCHAR(15))
AS 
BEGIN

DECLARE @PHYDOCK TABLE (DOCKCD VARCHAR(4))
DECLARE @DOCK VARCHAR(5)

DECLARE CURR_1 CURSOR FOR
	SELECT s FROM [dbo].fnSplitString(@DOCKCD,';')
OPEN CURR_1
FETCH NEXT FROM CURR_1 INTO @DOCK
	WHILE @@FETCH_STATUS = 0
	BEGIN
	   INSERT INTO @PHYDOCK
		SELECT DISTINCT RCVCOMPDOCKCD from TB_T_TLMS_EMPTY_JOB_CARD 
 			where CONCTODRTEDATE >= @DATEFROM AND CONCTODRTEDATE <= @DATETO
				AND RCVCOMPDOCKCD IN 
				(
					(
						SELECT PHYSICAL_DOCKCD A FROM TB_M_PHYSICAL_DOCK_MAPPING
							WHERE LOGICAL_DOCKCD = @DOCK OR PHYSICAL_DOCKCD = @DOCK
					) UNION
					(
						SELECT LOGICAL_DOCKCD A FROM TB_M_PHYSICAL_DOCK_MAPPING 
							WHERE PHYSICAL_DOCKCD IN (SELECT PHYSICAL_DOCKCD FROM TB_M_PHYSICAL_DOCK_MAPPING
														WHERE LOGICAL_DOCKCD = @DOCK) 
								OR PHYSICAL_DOCKCD = @DOCK
					)
				)
		INSERT INTO @PHYDOCK VALUES(@DOCK)
	FETCH NEXT FROM CURR_1 INTO @DOCK
	END
CLOSE CURR_1
DEALLOCATE CURR_1

  SELECT A.CONCTOCRTE + '-' + A.CONCTOCRTETRP AS [SROUTE], 
		 --CONCTODRTEDATE,
		--B.DOORCD AS [SDOORCD], 
		ISNULL(CONVERT(VARCHAR,C.PHYSICAL_STATION),'-') AS [SSTATION],
		A.SUPPDOCKCD,
		A.RCVCOMPDOCKCD AS [SDOCK],
		A.SUPPCD + '-' + A.SUPPPLANTCD AS [SSUPPLIER],
		D.SUPPLIER_ABBREVIATION AS [SABBR],
		SUM(A.NUMPALLETE) AS [SNUM]
FROM	TB_T_TLMS_EMPTY_JOB_CARD A
JOIN TB_T_DCL_TLMS_DRIVER_DATA B ON B.RTEGRPCD = A.CONCTOCRTE AND B.RUNSEQ = A.CONCTOCRTETRP AND B.RTEDATE = A.CONCTODRTEDATE AND B.DOCKCD = A.RCVCOMPDOCKCD
JOIN TB_M_SUPPLIER D ON D.SUPPLIER_CODE = A.SUPPCD AND D.SUPPLIER_PLANT_CD = A.SUPPPLANTCD
LEFT JOIN TB_M_DELIVERY_STATION_MAPPING C ON C.DOOR_CD_TLMS = B.DOORCD 
WHERE A.RCVCOMPDOCKCD IN (SELECT DISTINCT DOCKCD FROM @PHYDOCK) AND A.CONCTODRTEDATE >= @DATEFROM AND A.CONCTODRTEDATE <= @DATETO --AND A.CONCTOCRTE = 'RK36' AND A.CONCTOCRTETRP = '04'
GROUP BY CONCTOCRTE,
		 CONCTOCRTETRP,
		 --CONCTODRTEDATE,
		 SUPPCD,
		 SUPPPLANTCD,
		 SUPPDOCKCD,
		 D.SUPPLIER_ABBREVIATION,
		 B.DOORCD,
		 A.RCVCOMPDOCKCD,
		 C.PHYSICAL_STATION
ORDER BY CASE WHEN ISNULL(CONVERT(VARCHAR,C.PHYSICAL_STATION),'-') = '-' THEN 1 ELSE 0 END, [SSTATION] ASC, [SROUTE] ASC, [SSUPPLIER] ASC
--case when ordernum is null then 1 else 0 end
END

